Package org.apache.ignite.client.events

## Class ClientStartEvent

- java.lang.Object
- - org.apache.ignite.client.events.ClientStartEvent

All Implemented Interfaces:
  `ClientLifecycleEvent`

    public class ClientStartEvent
    extends Object
    implements ClientLifecycleEvent

Event, triggered when Ignite client is started.

### Constructor Summary

Constructors
`ClientStartEvent​(IgniteClient client, ClientConfiguration cfg)`

### Method Summary

All Methods Instance Methods Concrete Methods
`IgniteClient` `client()`
`ClientConfiguration` `configuration()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClientStartEvent

    public ClientStartEvent​(IgniteClient client,
                            ClientConfiguration cfg)

Parameters:
  `client` - Ignite client instance.
  `cfg` - Client configuration.

### Method Detail

#### configuration

    public ClientConfiguration configuration()

Returns:
  Client configuration.

#### client

    public IgniteClient client()

Returns:
  Ignite client instance.